diff -ruN ccp4srs-old/ccp4srs/ccp4srs_atom.h ccp4srs/ccp4srs/ccp4srs_atom.h
--- ccp4srs-old/ccp4srs/ccp4srs_atom.h	2014-03-24 10:40:19.000000000 -0700
+++ ccp4srs/ccp4srs/ccp4srs_atom.h	2014-09-09 21:34:12.000000000 -0700
@@ -1,10 +1,10 @@
-//  $Id: ccp4srs_atom.h, v 1.00 2010/03/11 15:28:14 Eugene Exp $
+//  $Id: ccp4srs_atom.h $
 //  =================================================================
 //
 //   CCP4 SRS Library: Storage, Retrieval and Search support for
 //   CCP4 ligand data.
 //
-//   Copyright (C) Eugene Krissinel 2010.
+//   Copyright (C) Eugene Krissinel 2010-2013.
 //
 //   This library is free software: you can redistribute it and/or
 //   modify it under the terms of the GNU Lesser General Public
@@ -22,16 +22,16 @@
 //
 //  =================================================================
 //
-//    26.02.13   <--  Date of Last Modification.
+//    03.02.14   <--  Date of Last Modification.
 //                   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 //  -----------------------------------------------------------------
 //
 //  **** Module  :  ccp4srs_atom  <interface>
 //       ~~~~~~~~~
-//  **** Classes :  CCP4SRSAtom  - atom description class
+//  **** Classes :  ccp4srs::Atom  - atom description class
 //       ~~~~~~~~~
 //
-//  (C) E. Krissinel 2010-2013
+//  (C) E. Krissinel 2010-2014
 //
 //  =================================================================
 //
@@ -39,131 +39,133 @@
 #ifndef CCP4SRS_ATOM_H
 #define CCP4SRS_ATOM_H
 
-
 #include "ccp4srs_container.h"
 #include "memio_.h"
 
-#include "mmdb/mmdb_atom.h"
-#include "mmdb/mmdb_mmcif.h"
-#include "mmdb/mmdb_defs.h"
-
-DefineClass(CCP4SRSAtom)
-
-class CCP4SRSAtom  {
-
-  public:
-    CCP4SRSAtom();
-    virtual ~CCP4SRSAtom();
-
-    // function for searches in containers
-    inline cpstr      id         () { return atomName;     }
-
-    inline cpstr      name       () { return atomName;     }
-    inline cpstr      rcsb_name  () { return rcsbAtomName; }
-    inline cpstr      old_name   () { return oldAtomName;  }
-    inline cpstr      element    () { return chemElement;  }
-    inline cpstr      energy_type() { return energyType;   }
-    inline realtype   x          () { return pdb_x;        }
-    inline realtype   y          () { return pdb_y;        }
-    inline realtype   z          () { return pdb_z;        }
-    inline realtype   x_pdbx     () { return pdbx_x;       }
-    inline realtype   y_pdbx     () { return pdbx_y;       }
-    inline realtype   z_pdbx     () { return pdbx_z;       }
-    inline realtype   x_mlib     () { return mlib_x;       }
-    inline realtype   y_mlib     () { return mlib_y;       }
-    inline realtype   z_mlib     () { return mlib_z;       }
-    inline realtype   charge     () { return atomCharge;   }
-    inline realtype   weight     () { return atomWeight;   }
-    inline realtype   vdw_radius () { return vdwRadius;    }
-    inline realtype   vdwh_radius() { return vdwhRadius;   }
-    inline realtype   ion_radius () { return ionRadius;    }
-    inline int        valency    () { return atomValency;  }
-    inline int        sp         () { return atomSP;       }
-
-    inline char rcsb_chirality() const { return property[0];  }
-    inline char ccp4_chirality() const { return property[1];  }
-    char chirality() const; // ccp4's; if not set then rcsb's
-    inline char leaving       () const { return property[2];  }
-    inline Boolean isLeaving  () const { return (property[2]=='Y'); }
-    inline char hb_type       () const { return property[3];  }
-
-
-    cpstr name_pdb      ( pstr aname );  // with significant spacing
-    cpstr rcsb_name_pdb ( pstr aname );  // with significant spacing
-    cpstr old_name_pdb  ( pstr aname );  // with significant spacing
-    cpstr element_pdb   ( pstr elem  );  // with significant spacing
-
-    void set_energy_type ( cpstr etype );
-    void set_old_name    ( cpstr name  );
-    inline void set_rcsb_chirality ( char c  )  { property[0] = c; }
-    inline void set_chirality      ( char c  )  { property[1] = c; }
-    inline void set_hb_type        ( char h  )  { property[3] = h; }
-
-    inline void set_vdw_radius  ( realtype r )  { vdwRadius   = r; }
-    inline void set_vdwh_radius ( realtype r )  { vdwhRadius  = r; }
-    inline void set_ion_radius  ( realtype r )  { ionRadius   = r; }
-    inline void set_valency     ( int v      )  { atomValency = v; }
-    inline void set_sp          ( int s      )  { atomSP      = s; }
-
-    void  makeCAtom ( RPCAtom a );
-    PCAtom makeCAtom();
-
-    static void makeCIFTags ( PCMMCIFLoop mmCIFLoop );
-    int  readFromCIF_ccp4 ( PCMMCIFLoop mmCIFLoop, int atomNo );
-    int  readFromCIF_rcsb ( PCMMCIFLoop mmCIFLoop, int atomNo );
-    int  readFromCIF      ( PCMMCIFStruct mmCIFStruct );
-    void writeToCIF       ( PCMMCIFLoop mmCIFLoop, cpstr monID );
-
-    void copy  ( PCCP4SRSAtom atom );
-    void merge ( PCCP4SRSAtom atom );
-
-    void    write_mem ( PCMemIO memIO, int version );
-    Boolean read_mem  ( PCMemIO memIO, int version,
-                        Boolean * Ok = NULL );
-
-  protected:
-    AtomName    atomName;     //!< atom name
-    AtomName    rcsbAtomName; //!< alternative atom name
-    AtomName    oldAtomName;  //!< old atom name
-    Element     chemElement;  //!< chemical element name
-    EnergyType  energyType;   //!< energy type
-    realtype    mlib_x,mlib_y,mlib_z; //!< m-lib cartesian coordinates
-    realtype    pdb_x ,pdb_y ,pdb_z ; //!< pdb cartesian coordinates
-    realtype    pdbx_x,pdbx_y,pdbx_z; //!< pdbx cartesian coordinates
-    realtype    atomCharge;   //!< partial charge
-    realtype    atomWeight;   //!< atomic weight (in a.u.)
-    realtype    vdwRadius;    //!< Van-Der-Waals radius
-    realtype    vdwhRadius;   //!< Van-Der-Waals radius with hydrogen
-    realtype    ionRadius;    //!< ion radius
-    int         atomValency;  //!< valency
-    int         atomSP;       //!< sp-hybridization
-    char        property[4];  //!< property vector:
-                              /// [0]: RCSB chirality : 'R', 'S' or 'N'
-                              /// [1]: MLib chirality : 'R', 'S' or 'N'
-                              /// [2]: leaving atom: 'Y' or 'N'
-                              /// [3]: hydrogen bond type:
-                              ///                 'D' donor
-                              ///                 'A' acceptor
-                              ///                 'B' both
-                              ///                 'H' hydrogen candidate
-                              ///                 'N' neither
-
-    void Init();
-
-};
-
-extern void get_atom_from_cif ( int & index, PCMMCIFLoop loop,
-                                cpstr Tag, int row,
-                                CCP4SRSContainer<CCP4SRSAtom> & atoms,
-                                int & rc );
-
-extern void get_atom_from_cif ( int & index, PCMMCIFStruct mmCIFStruct,
-                                cpstr Tag,
-                                CCP4SRSContainer<CCP4SRSAtom> & atoms,
-                                int & rc );
+#include "mmdb2/mmdb_atom.h"
+#include "mmdb2/mmdb_mmcif_.h"
+#include "mmdb2/mmdb_defs.h"
+
+namespace ccp4srs  {
+
+  DefineClass(Atom);
+
+  class Atom  {
+
+    public:
+      Atom();
+      virtual ~Atom();
+
+      // function for searches in containers
+      inline mmdb::cpstr      id         () { return atomName;     }
+
+      inline mmdb::cpstr      name       () { return atomName;     }
+      inline mmdb::cpstr      rcsb_name  () { return rcsbAtomName; }
+      inline mmdb::cpstr      old_name   () { return oldAtomName;  }
+      inline mmdb::cpstr      element    () { return chemElement;  }
+      inline mmdb::cpstr      energy_type() { return energyType;   }
+      inline mmdb::realtype   x          () { return pdb_x;        }
+      inline mmdb::realtype   y          () { return pdb_y;        }
+      inline mmdb::realtype   z          () { return pdb_z;        }
+      inline mmdb::realtype   x_pdbx     () { return pdbx_x;       }
+      inline mmdb::realtype   y_pdbx     () { return pdbx_y;       }
+      inline mmdb::realtype   z_pdbx     () { return pdbx_z;       }
+      inline mmdb::realtype   x_mlib     () { return mlib_x;       }
+      inline mmdb::realtype   y_mlib     () { return mlib_y;       }
+      inline mmdb::realtype   z_mlib     () { return mlib_z;       }
+      inline mmdb::realtype   charge     () { return atomCharge;   }
+      inline mmdb::realtype   weight     () { return atomWeight;   }
+      inline mmdb::realtype   vdw_radius () { return vdwRadius;    }
+      inline mmdb::realtype   vdwh_radius() { return vdwhRadius;   }
+      inline mmdb::realtype   ion_radius () { return ionRadius;    }
+      inline int              valency    () { return atomValency;  }
+      inline int              sp         () { return atomSP;       }
+
+      inline char rcsb_chirality() const { return property[0];  }
+      inline char ccp4_chirality() const { return property[1];  }
+      char chirality() const; // ccp4's; if not set then rcsb's
+      inline char leaving       () const { return property[2];  }
+      inline bool isLeaving     () const { return (property[2]=='Y'); }
+      inline char hb_type       () const { return property[3];  }
+
+
+      mmdb::cpstr name_pdb      ( mmdb::pstr aname );  // with significant spacing
+      mmdb::cpstr rcsb_name_pdb ( mmdb::pstr aname );  // with significant spacing
+      mmdb::cpstr old_name_pdb  ( mmdb::pstr aname );  // with significant spacing
+      mmdb::cpstr element_pdb   ( mmdb::pstr elem  );  // with significant spacing
+
+      void set_energy_type ( mmdb::cpstr etype );
+      void set_old_name    ( mmdb::cpstr name  );
+      inline void set_rcsb_chirality ( char c  )  { property[0] = c; }
+      inline void set_chirality      ( char c  )  { property[1] = c; }
+      inline void set_hb_type        ( char h  )  { property[3] = h; }
+
+      inline void set_vdw_radius  ( mmdb::realtype r )  { vdwRadius   = r; }
+      inline void set_vdwh_radius ( mmdb::realtype r )  { vdwhRadius  = r; }
+      inline void set_ion_radius  ( mmdb::realtype r )  { ionRadius   = r; }
+      inline void set_valency     ( int v      )  { atomValency = v; }
+      inline void set_sp          ( int s      )  { atomSP      = s; }
+
+      void  makeAtom ( mmdb::RPAtom a );
+      mmdb::PAtom makeAtom();
+
+      static void makeCIFTags ( mmdb::mmcif::PLoop mmCIFLoop );
+      int  readFromCIF_ccp4 ( mmdb::mmcif::PLoop mmCIFLoop, int atomNo );
+      int  readFromCIF_rcsb ( mmdb::mmcif::PLoop mmCIFLoop, int atomNo );
+      int  readFromCIF      ( mmdb::mmcif::PStruct mmCIFStruct );
+      void writeToCIF       ( mmdb::mmcif::PLoop mmCIFLoop, mmdb::cpstr monID );
+
+      void copy  ( PAtom atom );
+      void merge ( PAtom atom );
+
+      void write_mem ( PMemIO memIO, int version );
+      bool read_mem  ( PMemIO memIO, int version, bool * Ok = NULL );
+
+    protected:
+      mmdb::AtomName    atomName;     //!< atom name
+      mmdb::AtomName    rcsbAtomName; //!< alternative atom name
+      mmdb::AtomName    oldAtomName;  //!< old atom name
+      mmdb::Element     chemElement;  //!< chemical element name
+      mmdb::EnergyType  energyType;   //!< energy type
+      mmdb::realtype    mlib_x,mlib_y,mlib_z; //!< m-lib cartesian coordinates
+      mmdb::realtype    pdb_x ,pdb_y ,pdb_z ; //!< pdb cartesian coordinates
+      mmdb::realtype    pdbx_x,pdbx_y,pdbx_z; //!< pdbx cartesian coordinates
+      mmdb::realtype    atomCharge;   //!< partial charge
+      mmdb::realtype    atomWeight;   //!< atomic weight (in a.u.)
+      mmdb::realtype    vdwRadius;    //!< Van-Der-Waals radius
+      mmdb::realtype    vdwhRadius;   //!< Van-Der-Waals radius with hydrogen
+      mmdb::realtype    ionRadius;    //!< ion radius
+      int               atomValency;  //!< valency
+      int               atomSP;       //!< sp-hybridization
+      char              property[4];  //!< property vector:
+                                /// [0]: RCSB chirality : 'R', 'S' or 'N'
+                                /// [1]: MLib chirality : 'R', 'S' or 'N'
+                                /// [2]: leaving atom: 'Y' or 'N'
+                                /// [3]: hydrogen bond type:
+                                ///                 'D' donor
+                                ///                 'A' acceptor
+                                ///                 'B' both
+                                ///                 'H' hydrogen candidate
+                                ///                 'N' neither
+
+      void Init();
+
+  };
+
+  extern void get_atom_from_cif ( int & index, mmdb::mmcif::PLoop loop,
+                                  mmdb::cpstr Tag, int row,
+                                  Container<Atom> & atoms,
+                                  int & rc );
+
+  extern void get_atom_from_cif ( int & index, mmdb::mmcif::PStruct mmCIFStruct,
+                                  mmdb::cpstr Tag,
+                                  Container<Atom> & atoms,
+                                  int & rc );
+
+  extern void add_atom_to_cif  ( mmdb::mmcif::PLoop loop, int atom_no,
+                                 Container<Atom> & atoms );
 
-extern void add_atom_to_cif  ( PCMMCIFLoop loop, int atom_no,
-                               CCP4SRSContainer<CCP4SRSAtom> & atoms );
+} // namespace ccp4srs
 
 
 #endif // CCP4SRS_ATOM_H
diff -ruN ccp4srs-old/ccp4srs/ccp4srs_base.cpp ccp4srs/ccp4srs/ccp4srs_base.cpp
--- ccp4srs-old/ccp4srs/ccp4srs_base.cpp	2014-03-24 10:40:19.000000000 -0700
+++ ccp4srs/ccp4srs/ccp4srs_base.cpp	2014-09-09 21:34:12.000000000 -0700
@@ -1,10 +1,10 @@
-//  $Id: ccp4srs_base.cpp, v 1.00 2010/03/11 15:28:14 Eugene Exp $
+//  $Id: ccp4srs_base.cpp $
 //  =================================================================
 //
 //   CCP4 SRS Library: Storage, Retrieval and Search support for
 //   CCP4 ligand data.
 //
-//   Copyright (C) Eugene Krissinel 2010.
+//   Copyright (C) Eugene Krissinel 2010-2013.
 //
 //   This library is free software: you can redistribute it and/or
 //   modify it under the terms of the GNU Lesser General Public
